Summary: DWARF optimization and duplicate removal tool
Name: dwz
Version: 0.8
Release: %mkrel 2
License: GPLv2+ and GPLv3+
Group: Development/C
# git archive --format=tar --remote=git://sourceware.org/git/dwz.git \
#   --prefix=%{name}-%{version}/ %{name}-%{version} \
#   | bzip2 -9 > %{name}-%{version}.tar.bz2
Source: %{name}-%{version}.tar.bz2
BuildRequires: elfutils-devel

%description
The dwz package contains a program that attempts to optimize DWARF
debugging information contained in ELF shared libraries and ELF executables
for size, by replacing DWARF information representation with equivalent
smaller representation where possible and by reducing the amount of
duplication using techniques from DWARF standard appendix E - creating
DW_TAG_partial_unit compilation units (CUs) for duplicated information
and using DW_TAG_imported_unit to import it into each CU that needs it.

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS='%{optflags}' prefix=%{_prefix} \
  mandir=%{_mandir} bindir=%{_bindir}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} prefix=%{_prefix} mandir=%{_mandir} bindir=%{_bindir} \
  install

%files
%doc COPYING COPYING3 COPYING.RUNTIME
%{_bindir}/dwz
%{_mandir}/man1/dwz.1*



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.8-2.mga3
+ Revision: 349200
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 tv <tv> 0.8-1.mga3
+ Revision: 323332
- new release

* Mon Aug 27 2012 tv <tv> 0.7-1.mga3
+ Revision: 284623
- new release

* Fri Jul 27 2012 tv <tv> 0.6-1.mga3
+ Revision: 275044
- imported package dwz

